> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Gets all non-archived Resource Configurations based on the provided filters

> Gets all non-archived Resource Configurations based on the provided filters.



## OpenAPI

````yaml /api-specs/cloud/public-api.yaml get /api/admin/v1/deploymentTargets/{deploymentTargetId}/resourceConfigurations
openapi: 3.0.3
info:
  title: Domino Public API
  description: Domino Public API Endpoints
  version: cloud
servers: []
security:
  - DominoApiKey: []
  - BearerAuthentication: []
tags:
  - name: AIGateway
  - name: AppInstances
  - name: AppVersions
  - name: Apps
  - name: AsyncPredictions
  - name: AuditTrail
  - name: BillingTag
  - name: BillingTagSettings
  - name: Cost
  - name: CustomMetrics
  - name: DataSource
  - name: DatasetRw
  - name: DeploymentTargets
  - name: Environments
  - name: Extensions
  - name: GenAI
  - name: HardwareTier
  - name: Jobs
  - name: ModelAPI
  - name: ModelAPIVersion
  - name: ModelDeployment
  - name: Organizations
  - name: PPM
  - name: PersonalAccessToken
  - name: ProjectSharedDatasets
  - name: ProjectTemplates
  - name: Projects
  - name: ProjectsCommits
  - name: ProjectsFiles
  - name: RegisteredModels
  - name: ServiceAccounts
  - name: Users
  - name: Workspaces
paths:
  /api/admin/v1/deploymentTargets/{deploymentTargetId}/resourceConfigurations:
    get:
      tags:
        - DeploymentTargets
      summary: >-
        Gets all non-archived Resource Configurations based on the provided
        filters
      description: >-
        Gets all non-archived Resource Configurations based on the provided
        filters.
      operationId: getResourceConfigurations
      parameters:
        - description: Filter by Resource Configuration name
          in: query
          name: name
          required: false
          schema:
            type: string
        - description: >-
            How many Resource Configurations from the start to skip. Defaults to
            0.
          in: query
          name: offset
          required: false
          schema:
            default: 0
            type: integer
        - description: Max number of Resource Configurations to fetch. Defaults to 10.
          in: query
          name: limit
          required: false
          schema:
            default: 10
            type: integer
        - description: ID of Deployment Target that Resource Configuration belongs to.
          in: path
          name: deploymentTargetId
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedResourceConfigurations'
          description: Success
        '400':
          $ref: '#/components/responses/400'
        '401':
          $ref: '#/components/responses/401'
        '403':
          $ref: '#/components/responses/403'
        '404':
          $ref: '#/components/responses/404'
        '500':
          $ref: '#/components/responses/500'
components:
  schemas:
    PaginatedResourceConfigurations:
      properties:
        items:
          items:
            $ref: '#/components/schemas/ResourceConfiguration'
          type: array
        metadata:
          $ref: '#/components/schemas/PaginatedMetadataV1'
      required:
        - items
        - metadata
      type: object
    ResourceConfiguration:
      description: Resource Configuration
      properties:
        configuration:
          description: >-
            Configuration of this Resource Configuration following the schema in
            its Deployment Target Type
          type: object
        deploymentTargetId:
          description: ID of the Deployment Target this Resource Configuration belongs to
          type: string
        description:
          description: Description for the Resource Configuration
          type: string
        id:
          description: UUID for the Resource Configuration
          type: string
        lastModified:
          description: >-
            Timestamp of the last update to the resource configuration (will be
            the creation timestamp on creation)
          format: date-time
          type: string
        name:
          description: Internal name for the Resource Configuration
          example: gpu_large
          type: string
      required:
        - id
        - name
        - deploymentTargetId
        - configuration
        - lastModified
      type: object
    PaginatedMetadataV1:
      allOf:
        - $ref: '#/components/schemas/MetadataV1'
        - $ref: '#/components/schemas/PaginationV1'
      required:
        - pagination
        - requestId
        - notices
    FailureEnvelopeV1:
      properties:
        errors:
          description: Errors that caused a request to fail
          items:
            type: string
          type: array
        requestId:
          description: Id used to correlate a request with server actions.
          example: bbd78579-93c4-45ee-a983-0d5c8da6d5b1
          type: string
      required:
        - requestId
        - errors
      type: object
    MetadataV1:
      properties:
        notices:
          description: Notices relating to the request
          items:
            type: string
          type: array
        requestId:
          type: string
      required:
        - requestId
        - notices
      type: object
    PaginationV1:
      properties:
        limit:
          description: Max number of objects returned
          type: integer
        offset:
          description: Number of object skipped forward from start of objects
          type: integer
        totalCount:
          description: Total number of available objects
          type: integer
      required:
        - offset
        - limit
      type: object
  responses:
    '400':
      content:
        application/json:
          schema:
            properties:
              error:
                type: string
            type: object
      description: Bad Request
    '401':
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/FailureEnvelopeV1'
      description: >-
        The current user cannot perform this operation because they are not
        logged in
    '403':
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/FailureEnvelopeV1'
      description: The current user is not authorized to perform this operation
    '404':
      content:
        application/json:
          schema:
            properties:
              error:
                type: string
            type: object
      description: Not Found
    '500':
      content:
        application/json:
          schema:
            properties:
              error:
                type: string
            type: object
      description: Internal Server Error
  securitySchemes:
    DominoApiKey:
      in: header
      name: X-Domino-Api-Key
      type: apiKey
    BearerAuthentication:
      in: header
      name: Authorization
      type: apiKey

````